#include "network/nic/load_balance.h"

namespace dofs {

void LBRandomPacketSpraying::update(const Packet& pkt) noexcept {
        (void)pkt;
}

uint16_t LBRandomPacketSpraying::get_entropy(const Packet& context) noexcept {
        (void)context;

        if (!_rng)
                return 0;

        return static_cast<uint16_t>(_rng->uniform_range<std::uint32_t>(0, 0x10000u));
}

} // namespace dofs
